#!/bin/sh
# Permite agregar un usuario con un rol

DIRSEG=$1
if (test "$DIRSEG" = "") then {
	DIRSEG="."; # Suponemos que corre desde dir con fuentes
} fi;

if (test ! -f "$DIRSEG/vardb.sh" ) then {
	echo "Ejecute desde directorio con fuentes o especifique este como primer parámetro";
	exit 1;
} fi;


. $DIRSEG/vardb.sh

echo -n "usuario (sin espacios): ";
read id;
echo -n "nombre: ";
read nombre;
echo -n "descripcion: ";
read descripcion;

bin/psql.sh -c "SELECT * from rol;" 
echo -n "id_rol: ";
read idrol;
echo -n "anotación: ";
read anotacion;
echo -n "clave: ";
stty -echo; read clave; stty echo

clavemd5=`php -r "echo md5(\"$clave\");"`;
q="SET client_encoding to 'LATIN1'; INSERT INTO usuario(id_usuario, password, nombre, descripcion, id_rol)  VALUES ('$id', '$clavemd5', '$nombre', '$descripcion', '$idrol'); INSERT INTO funcionario(anotacion, nombre) VALUES ('$anotacion', '$id');" 
echo $q;
bin/psql.sh -c "$q"


